<?php

namespace Litecms\Happy\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HappyTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Happy\Models\Happy $happy)
    {
        return [
            'id'                => $happy->getRouteKey(),
            'key'               => [
                'public'    => $happy->getPublicKey(),
                'route'     => $happy->getRouteKey(),
            ], 
            'name'              => $happy->name,
            'logo'              => $happy->logo,
            'link'              => $happy->link,
            'url'               => [
                'public'    => trans_url('happy/'.$happy->getPublicKey()),
                'user'      => guard_url('happy/happy/'.$happy->getRouteKey()),
            ], 
            'status'            => trans('app.'.$happy->status),
            'created_at'        => format_date($happy->created_at),
            'updated_at'        => format_date($happy->updated_at),
        ];
    }
}